#
# spec file for package python3-3to2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-3to2
Version:        1.1.1
Release:        2.3
License:        Apache-2.0
Summary:        Refactors valid 3.x syntax into valid 2x syntax
Url:            http://www.startcodon.com/wordpress/?cat=8
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/3/3to2/3to2-%{version}.zip
BuildRequires:  python3-devel
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Refactors valid 3.x syntax into valid 2x syntax, if a syntactical conversion is possible

%prep
%setup -q -n 3to2-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/3to2
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun Apr 19 2015 arun@gmx.de
- update to version 1.1.1:
  * Remove incorrect and redundant entry point
* Tue Apr 14 2015 arun@gmx.de
- specfile:
  * update copyright year
  * changed from tar to zip on pypi
  * updated license according to license file in bitbucket
    and license mentioned in PKG-INFO
- update to version 1.1:
  * For now, going back to the recommendation of the 3to2_py3k
    repo... #39 came after ae7407b
  * README edited online with Bitbucket
  * Fixing an issue where the import fixer would improperly fix
    attributes
  * Added support for versions 2.7 and 3.3 from the same code base
    (tested on both)
  * Fixed imports2 test - order of import lines was not deterministic,
    either is valid
  * Fixed bug in absimport that crashed parser
  * Adding absolute import coverage from awkwardduet
  * Better handling of unicode printing
  * Missed one unicode literal
  * Removed unicode character literals.
  * Fixed a bug in the parse string and the order of the test
  * Enhanced fix_metaclass - ensure the class inherits from 'object'
  * Imporved newstyle fix: make sure it inherits from 'object'
  * Improved support for empty super() - looks up base class
  * Added support for multiline imports using '('
  * Fixed bug where trying to print unicode characters made the tool
    crash
  * Adding distutils builder
  * Bumping up the Python 3 version to 3.2,
  * Fixing path separator handling in test_all_fixers.py to work on
    Windows as well as Linux.
  * Removing unused files.
  * Merging changes from "clear" branch into default (manually because
    of a bug in
  * Fixing whitespace handling in fix_classdecorator.
  * Fixing imports for dependencies from lib2to3/test. Inserting
    development repo path into sys.path when running
    test_all_fixers.py as __main__.
  * Added 2to3 files needed for testing.
  * Making tkinter -> Tkinter work
* Tue Jul 30 2013 speilicke@suse.com
- Initial version
